// ws2.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "winsock2.h"

//   
#define request	"GET /test.shtml HTTP/1.0\r\nHost: www.anotherd.com\r\n\r\n" // HTML .
#define MAX_PACKET_SIZE		4096


int main(int argc, char* argv[])
{
	WSADATA		ws;
	SOCKET		s;
	sockaddr_in	adr;
	hostent*	hn;
	char		buff [MAX_PACKET_SIZE];

	// Init 
	if (WSAStartup (0x0101, &ws) != 0)
	{
		// Error
		return -1;
	}
	
	//  
	if (INVALID_SOCKET == (s = socket (AF_INET, SOCK_STREAM, IPPROTO_TCP) ) )
	{
		// Error
		return -1;
	}

	//  
	if (NULL == ( hn = gethostbyname ("www.anotherd.com") ) )
	{
		// Error
		return -1;
	}

	//     adr     connect
	adr.sin_family				= AF_INET;
	adr.sin_addr.S_un.S_addr	= *(DWORD* ) hn->h_addr_list[0];
	adr.sin_port				= htons (80);

	//    
	if (SOCKET_ERROR == connect (s, (sockaddr* )&adr,  sizeof (adr) ) )
	{
		// Error
		return -1;
	}

	//   
	if (SOCKET_ERROR == send (s, &request, sizeof (request), 0) )
	{
		// Error
		return -1;
	}

	//  
	int len = recv (s, (char *) &buff, MAX_PACKET_SIZE, 0);

	if ( (len == SOCKET_ERROR) || (len == 0) )
	{
		// Error
		return -1;
	}
	
	//   
	for (int i = 0; i<len; i++)
		printf ("%c", buff [i]);

	if (SOCKET_ERROR == closesocket (s) )	//  . *
	{
		// Error
		return -1;
	}


	return 1;

}





